

-- *************************************************
-- Label 
-- *************************************************
TLabel = class(Turbine.UI.Label);
function TLabel:Constructor(text, left, top, width, height)
	Turbine.UI.Label.Constructor( self );
	if (width ~= nil) and (height ~= nil) and (left ~= nil) and (top ~= nil) and (text ~= nil) then
		self:SetSize(width, height);		
		self:SetPosition(left, top);
		self:SetText(text);
	end
end

-- *************************************************
-- Text box
-- *************************************************
TEdit = class(Turbine.UI.Lotro.TextBox);
function TEdit:Constructor(left, top, width, height)
	Turbine.UI.Lotro.TextBox.Constructor( self );
	if (width ~= nil) and (height ~= nil) and (left ~= nil) and (top ~= nil) then
		self:SetSize(width, height);		
		self:SetPosition(left, top);
	end
end

-- *************************************************
-- Button
-- *************************************************
TButton = class(Turbine.UI.Lotro.Button);
function TButton:Constructor(text, left, top, width, height)
	Turbine.UI.Lotro.Button.Constructor( self );
	if (width ~= nil) and (height ~= nil) and (left ~= nil) and (top ~= nil) and (text ~= nil) then
		self:SetSize(width, height);		
		self:SetPosition(left, top);
		self:SetText(text);
	end
end

-- *************************************************
-- Generic Control field
-- *************************************************
TContainer = class(Turbine.UI.Control);
function TContainer:Constructor(left, top, width, height)
	Turbine.UI.Control.Constructor( self );
	if (width ~= nil) and (height ~= nil) and (left ~= nil) and (top ~= nil) then
		self:SetSize(width, height);
		self:SetPosition(left, top);
	end	
end

-- *************************************************
-- Control field with image
-- *************************************************
TImage = class(Turbine.UI.Control);
function TImage:Constructor(url, left, top, width, height)
	Turbine.UI.Control.Constructor( self );
	if (width ~= nil) and (height ~= nil) and (left ~= nil) and (top ~= nil) and (url ~= nil) then
		self:SetSize(width, height);
		self:SetPosition(left, top);
		self:SetBackground(url);
		self:SetBlendMode(Turbine.UI.BlendMode.Overlay);
	end	
end

-- *************************************************
-- Generic Window
-- *************************************************
TCmdContainer = class(Turbine.UI.Window);
function TCmdContainer:Constructor(left, top, width, height)		
	Turbine.UI.Window.Constructor( self );
	if (width ~= nil) and (height ~= nil) and (left ~= nil) and (top ~= nil) then
		self:SetSize(width, height);
		self:SetPosition(left, top);
	end	
end

-- *************************************************
-- Quickslot 
-- *************************************************
TCommand = class(Turbine.UI.Lotro.Quickslot);
function TCommand:Constructor(left, top, width, height)
	Turbine.UI.Lotro.Quickslot.Constructor(self);
	if (width ~= nil) and (height ~= nil) and (left ~= nil) and (top ~= nil) then
		self:SetSize(width, height);
		self:SetPosition(left, top);
	end	
end	

-- *************************************************
-- 
-- *************************************************
--TImageButton = class(Turbine.UI.Button);
--function TImageButton:Constructor(left, top, width, height, normal, pressed, rollover)
--	Turbine.UI.Button.Constructor( self );
--	if (width ~= nil) and (height ~= nil) and (left ~= nil) and (top ~= nil) then
--		self:SetSize(width, height);		
--		self:SetPosition(left, top);
--	end
--	if normal ~= nil then
--		self:SetBlendMode(Turbine.UI.BlendMode.Overlay);
--		self:SetBackground(normal)
--		self.MouseLeave=function() self:SetBackground(normal) end
--		if rollover ~= nil then
--			self.MouseEnter=function() self:SetBackground(rollover) end		
--			self.MouseUp=function() self:SetBackground(rollover) end	
--		end
--		if pressed ~= nil then
--			self.MouseDown=function() self:SetBackground(pressed) end			
--		end
--	end
--end
